Install error: format of initialization string
Results 1 to 7 of 7
  1. #1
    Junior Member
    Join Date
    Jan 2009
    Posts
    5

    Default Install error: format of initialization string

    When I tried to install PostgreSQL it told me at the end that my password was too weak and reversed the installation, the problem some others have had. I went back and used a more complicated password and successfully installed PostgreSQL. Then I installed HEM and created a database, but when I try to start HEM (step 11 in the setup guide), it gives me this error: "The following error occurred when trying to open the database: Format of the initialization strong does not conform to specification starting at index 70."

    Any idea what's going on? Thanks.

    John

  2. #2
    Senior Member Al1's Avatar
    Join Date
    Aug 2008
    Location
    Geneva
    Posts
    2,873

    Default

    Hi,

    Can you uninstall postgreSQL from the Control Panel and remove after that manually the postgresql folder in Program Files. Then reboot your computer and reinstall postgreSQL from here: http://www.postgresql.org/ftp/binary/

    About the password, ignore the warning message.

  3. #3
    Junior Member
    Join Date
    Jan 2009
    Posts
    5

    Default

    Hello,

    Unfortunately I cannot just "ignore" the password message, as it will not complete the install unless I give it a more complex password - it gets right to the very end and then says my password is too weak and cancels the install (this issue has been raised elsewhere in the forums, so I know I am not the only one experiencing it). I got this same error even when downloading from the site you linked to.

    Should I be downloading an older version of postgresql? I tried downloading v. 8.2.9 but ran into another issue, when it told me during the install that my administrator group includes "everyone" and that was a security problem and canceled the installation.

    Any thoughts?

    Thanks,
    John

  4. #4
    Tech Support Manager morny's Avatar
    Join Date
    Jul 2008
    Location
    Ireland
    Posts
    20,889

    Default

    Hi,

    Please try a different username this time and if the problem persists try a different version of postgreSQL other than the 2 versions that gave you trouble.
    --------------------------------------------------------------------------------------------------------------------
    We welcome any feedback on any solutions we provide, this helps us to provide better quality solutions in the future.

  5. #5
    Junior Member
    Join Date
    Jan 2009
    Posts
    5

    Default

    Hi,

    I've now tried installing 8 versions of PostgreSQL. Any version before 8.3 gives me the "your Administrator group contains 'Everyone'" error described previously which stops the installation, and any version after 8.3 automatically cancels the installation at the end when I used "postgrespass" as my password with any username.

    Any idea what could be causing this? Thanks.

    John

  6. #6
    Junior Member
    Join Date
    Jan 2009
    Posts
    5

    Default

    This link has some discussion of the error I'm getting on versions 8.2.9 and older, although where his says "Interactive Users" mine says "Everyone":

    http://www.postgresqlforums.com/foru...php?f=29&t=416

  7. #7
    Junior Member
    Join Date
    Jan 2009
    Posts
    5

    Default

    OK, so I went into My Computer, right clicked Manage, and then went to my Local Users group, found Administrators, and deleted "Everyone". So if other people run into this problem that's the simple solution.

    The problem is now every version of Postgresql cancels the installation if I use the recommended password, similar to this person's experience:
    http://www.holdemmanager.net/forum/s...password+short

    So naturally I follow the advice and use a complex password, which had caused problems with HEM before, but now it works, with version 8.2.9. Hope this is helpful if others run into problems.

Similar Threads

  1. Unclosed Literal String
    By Trimms in forum Manager General
    Replies: 3
    Last Post: 01-25-2009, 07:29 PM
  2. Error in file format when saving graph
    By schmuckers in forum Manager General
    Replies: 1
    Last Post: 01-20-2009, 06:49 PM
  3. I get an Error when I try to install HEM
    By longshot in forum Manager General
    Replies: 1
    Last Post: 12-21-2008, 10:12 AM
  4. Error after install 1.06.03h
    By dragonrib in forum Manager General
    Replies: 2
    Last Post: 10-21-2008, 06:29 AM
  5. install error
    By majestkmoose in forum Manager General
    Replies: 5
    Last Post: 10-03-2008, 10:06 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •